This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 386701 - Machine hangs hard with CapsLock and ScrollLock lights blinking
Machine hangs hard with CapsLock and ScrollLock lights blinking
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-16 07:54 EST by Nils Philippsen
Modified: 2009-12-18 01:00 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:00:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
output of dmidecode (14.83 KB, text/plain)
2007-11-16 07:58 EST, Nils Philippsen
no flags Details
output of lspci (2.14 KB, text/plain)
2007-11-16 07:59 EST, Nils Philippsen
no flags Details
output of lspci -n (792 bytes, text/plain)
2007-11-16 07:59 EST, Nils Philippsen
no flags Details
output of lspci -v (8.63 KB, text/plain)
2007-11-16 07:59 EST, Nils Philippsen
no flags Details
output of lspci -vn (6.89 KB, text/plain)
2007-11-16 08:00 EST, Nils Philippsen
no flags Details
output of lsusb (756 bytes, text/plain)
2007-11-16 08:01 EST, Nils Philippsen
no flags Details
output of lsusb -v (42.64 KB, text/plain)
2007-11-16 08:01 EST, Nils Philippsen
no flags Details
lspci output (15.36 KB, text/plain)
2008-02-19 17:14 EST, Paul Simmons
no flags Details

  None (edit)
Description Nils Philippsen 2007-11-16 07:54:37 EST
Description of problem:

I just experienced a hard hang on my Dell Latitude D830 laptop (with Intel
graphics) while filling out a new Bugzilla comment in firefox. X was frozen
(mouse cursor hung as well), both keyboards (internal and external USB) were
dead and the CapsLock and ScrollLock lights on the internal keyboard were
blinking. SysRq didn't work, all I could do was reset the machine hard.

Version-Release number of selected component (if applicable):
kernel-2.6.23.1-49.fc8
xorg-x11-drv-i810-2.1.1-7.fc8

How reproducible:
Not yet reproduced.
Comment 1 Nils Philippsen 2007-11-16 07:58:07 EST
NB: I didn't find anything pertinent in /var/log/messages, I found entries of
updated packages (which I did shortly before the crash), then the kernel
messages of when I rebooted the machine.
Comment 2 Nils Philippsen 2007-11-16 07:58:44 EST
Created attachment 261151 [details]
output of dmidecode
Comment 3 Nils Philippsen 2007-11-16 07:59:08 EST
Created attachment 261161 [details]
output of lspci
Comment 4 Nils Philippsen 2007-11-16 07:59:29 EST
Created attachment 261171 [details]
output of lspci -n
Comment 5 Nils Philippsen 2007-11-16 07:59:47 EST
Created attachment 261181 [details]
output of lspci -v
Comment 6 Nils Philippsen 2007-11-16 08:00:05 EST
Created attachment 261191 [details]
output of lspci -vn
Comment 7 Nils Philippsen 2007-11-16 08:01:04 EST
Created attachment 261201 [details]
output of lsusb
Comment 8 Nils Philippsen 2007-11-16 08:01:24 EST
Created attachment 261211 [details]
output of lsusb -v
Comment 9 Han-Wen Nienhuys 2007-11-16 09:09:36 EST
Hello,

me too. I have had 3 crashes 1.5 day; in 1 of them capslock was blinking. In the
other 2, nothing functioned. The only strange thing in my log is that there are
lots of 

Nov 16 09:46:09 localhost hald[2239]: 09:46:09.258 [I] hald_dbus.c:5187: Client 
to local_server was disconnected for 9d76c50
Nov 16 09:46:09 localhost hald[2239]: 09:46:09.258 [I] hald_dbus.c:5188: *******
*****************
Nov 16 09:46:09 localhost hald[2239]: 09:46:09.258 [I] hald_dbus.c:5229: *******
********************
Nov 16 09:46:09 localhost hald[2239]: 09:46:09.258 [I] hald_dbus.c:5230: *******
** unregistered 9d76c50

messages.

I'm on Lenovo thinkpad t60. HW profile on

http://smolt.fedoraproject.org/show?UUID=7ea1aa5d-a0a2-4de5-a38a-be0ceea80bca

please let me know if you need more info.
Comment 10 Han-Wen Nienhuys 2007-11-16 09:12:21 EST
note that this happened after I upgraded from stock F8 to kernel -49 
Comment 11 Sergio Monteiro Basto 2007-11-22 21:14:32 EST
(In reply to comment #10)
> note that this happened after I upgraded from stock F8 to kernel -49 
on -42 or -37 you don't had this problem ? 
Comment 12 Paul Simmons 2008-02-06 17:19:32 EST
smolt UUID=a56ede30-0db4-4feb-a829-34a96e30a3d7 has this problem with any kernel
> 2.6.23.12-99.fc8 (as obtained from koji).

Seems to be related to large wireless activity, but that's just a SWAG.
Comment 13 Christopher Brown 2008-02-13 17:23:47 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few weeks if there is no additional information lodged.
Comment 14 Paul Simmons 2008-02-13 21:51:26 EST
Howdy.  Got up the nerve to try 2.6.23.15-137.fc8 this afternoon (CST).  So far,
so good.  The 23.14-??? kernels were failing, but this one seems to be hanging
in there.  I'll report in by 2008-02-14-20:00 (CST) if it fails... it typically
doesn't survive > 24 hours.

Gracias!
Comment 15 Nils Philippsen 2008-02-14 02:54:18 EST
I've only had this problem once (when submitting the BZ), so I guess what the
others see is something different.
Comment 16 Paul Simmons 2008-02-14 11:42:31 EST
2.6.23.15-137.fc8 failed during an extremely large sftp session this AM.  Had
completed 8% of 2.6 GB.  Have reverted to 2.6.23.12-99.fc8, and am retrying session.

p.
Comment 17 Christopher Brown 2008-02-14 18:12:14 EST
Paul,

If you're up for a bit of troubleshooting then have a look at:

http://fedoraproject.org/wiki/KernelCommonProblems

which has a number of diagnostic (particularly crash/hang section) and any info
from that would be appreciated. For example if you can shell in from another
machine or booting with acpi=off. You can also try noapic and/or nolapic.

Still having problems?

Then please boot and attach output of:

dmesg > paul_dmesg.out
lsmod > paul_lsmod.out
# lspci -vvxxx > paul_lspci.out

Cheers
Chris
Comment 18 Paul Simmons 2008-02-14 20:26:58 EST
Chris,

Thanks for the tips.  I have a BIG weekend coming up, so it'll be a few days
before I can exercise any of this.  Sorry, just bad timing.

There are no words to express my appreciation for all you "code heads".  I was
once among those who coded and debugged, and have great respect for you all. 
I'll try to do my little part to keep things moving (forward, I hope).

p.
Comment 19 Paul Simmons 2008-02-19 17:14:56 EST
Created attachment 295349 [details]
lspci output

Quick note:
After installing 2.6.24.2-7.fc8 wlan0 didn't come up, so I did "service network
restart" and while wlan0 tried to configure / attach, the caps lock & scroll
lock keys began flashing. Rebooted 2.6.23.12-99.fc8, ran lspci -vvxxx (see
attachment).
Comment 20 Sergio Monteiro Basto 2008-02-20 16:04:07 EST
(In reply to comment #19)
> Created an attachment (id=295349) [edit]
> lspci output
> 
> Quick note:
> After installing 2.6.24.2-7.fc8 wlan0 didn't come up, so I did "service network
> restart" and while wlan0 tried to configure / attach, the caps lock & scroll
> lock keys began flashing. Rebooted 2.6.23.12-99.fc8, ran lspci -vvxxx (see
> attachment).

you may try this boot options, works on my case: 

kernel /vmlinuz-2.6.23.15-137.fc8 ro root=LABEL=/1 report_lost_ticks
acpi_osi=!Linux pnpacpi=off clocksource=acpi_pm


Comment 21 Paul Simmons 2008-03-01 18:32:26 EST
Well, 2.6.24.3-13.fc8 doesn't exhibit the hang / blinkenlight problem, even
though it has issues with rt2x00 (rt61 based card just quits after minimal
traffic. Yeah, I know, it's in heavy development).  I'm going to ass u me that
the hang is fixed, and back out of this bug.

Thanks to all for assistance and debug tips.  I'll be sure to draw on this
experience should I participate on other problems.

p.
Comment 22 Bug Zapper 2008-11-26 03:29:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Gregory Trivett 2008-12-10 23:08:04 EST
This is happening in Fedora 10.

Linux nnnnnnn 2.6.27.7-134.fc10.i686 #1 SMP Mon Dec 1 22:42:50 EST 2008 i686 i686 i386 GNU/Linux

Dell D820.

Only happens at work. Connects no problem to WEP home network and local wired network at the same time. Either one by themselves..etc.

At work, if wireless is disabled via the notification area networkmanager menu, the system never locks up when wired.

If the wired connection is connected and wireless automatically connects to a non-secured wireless with blocked ports the machines locks up with Caps Lock and Scroll Lock blinking, no messages at all.

machine is docked or un-docked.

If no wired connection, and just the wireless connection, same thing, locked up.

The wireless access points are open, with no wireless security and classified as mode: infrastructure. The AP's are locked down with only port 80, 5190 and other web related ports available. No access to the corporate network. The cells are spread throughout all buildings on the campus and in several different buildings (read many different cells), the same behavior.

IPSEC and SSL VPN's are allowed to gain access to the corporate network, just like coming in from outside.

My home AP's do not exhibit the same behaviour and I can connect either with IPSEC or SSL VPN's for hours.

If any other information or some way to capture debug, I'd be happy to test.
Comment 24 Bug Zapper 2009-01-09 00:14:07 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 25 Jonathan McDowell 2009-05-05 07:21:07 EDT
Please reopen this bug, just like the user in comment 23 I am seeing it in Fedora 10.  That's **FC10** not just FC8. 2.6.27.21-170.2.56.fc10.i686 on a Dell Latitude D620, 
when using wireless internet in some scenarios, the machine hangs
with scroll and caps lock blinking after a random time between a few minutes
and half an hour, just as described above. Reboot the only (temporary) solution.

It must depend on the wireless network config; at a meeting recently,
I found that at the hotel I could use the wireless and never had any 
problem, but at the meeting site the machine reliably froze within
a short period of use. This is a serious problem.
Comment 26 Sergio Monteiro Basto 2009-05-10 15:59:43 EDT
(In reply to comment #23)
> This is happening in Fedora 10.
> 
> Linux nnnnnnn 2.6.27.7-134.fc10.i686 #1 SMP Mon Dec 1 22:42:50 EST 2008 i686
> i686 i386 GNU/Linux
> 
> Dell D820.
> 
> Only happens at work. Connects no problem to WEP home network and local wired
> network at the same time. Either one by themselves..etc.
> 
> At work, if wireless is disabled via the notification area networkmanager menu,
> the system never locks up when wired.
> 
> If the wired connection is connected and wireless automatically connects to a
> non-secured wireless with blocked ports the machines locks up with Caps Lock
> and Scroll Lock blinking, no messages at all.
> 
> machine is docked or un-docked.
> 
> If no wired connection, and just the wireless connection, same thing, locked
> up.
> 
> The wireless access points are open, with no wireless security and classified
> as mode: infrastructure. The AP's are locked down with only port 80, 5190 and
> other web related ports available. No access to the corporate network. The
> cells are spread throughout all buildings on the campus and in several
> different buildings (read many different cells), the same behavior.
> 
> IPSEC and SSL VPN's are allowed to gain access to the corporate network, just
> like coming in from outside.
> 
> My home AP's do not exhibit the same behaviour and I can connect either with
> IPSEC or SSL VPN's for hours.
> 
> If any other information or some way to capture debug, I'd be happy to test.  



hi, I got some problems with latest updates of Fedora 10 and testing kernel 2.6.29, but I found a tip, which advice try update NetworkManager. 
with more recently packages on http://koji.fedoraproject.org/koji/packageinfo?packageID=335, I updated to NetworkManager-0.7.0.100-2.git20090408.fc10, I my strange problems with wireless has gone .
Just a wild guess .
Comment 27 timothy Russ 2009-07-13 03:00:06 EDT
I'm seeing the exact same behavior in an Ubuntu 9.04 install on my Dell D510 laptop. It's manifested twice in a row while transferring DVD ISO files from my internal hard disk to a USB thumb drive. 

It's running kernel 2.6.30-020630rc2-generic. Unfortunately there are no indications of the cause in /var/log/syslog or /var/log/messages. It has been used with a dock previously but the crashes have happened while undocked. It was connected to my local network via the Intel 2200BG wifi and running traffic (bittorrent, etc) when each lock up occurred.

Hopefully this helps you track down the cause, even if it's happening in a different distro.
Comment 28 Jafar 2009-09-19 04:09:43 EDT
same problem with fedora 11 and the initial 2.6.29 iso-core.
Comment 29 Mike 2009-10-16 16:52:09 EDT
Been having similar problem two out of every three boots on a Compaq SR1010Z after upgrading to Fedora 11.  Current kernel is 2.6.30.8-64.fc11.i686.PAE  It happens at the end of the boot cycle after the boot progress bar screen is cleared.  The screen freezes and the caps and scroll lock LEDs on the keyboard blink.  The only recourse is a hard power cycle.  Happens with both the onboard SIS and PCI ATI graphics cards.  Smolt profile at http://www.smolts.org/client/show/pub_51d937d8-32d7-42b5-a37f-7c87de11c827
Comment 30 Bug Zapper 2009-11-18 02:53:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Bug Zapper 2009-12-18 01:00:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.